Subject: bug#57555: 29.0.50; variable-pitch font issue with medium weight default font

From: Gregory Heytings <[email-masked]>
Date: Tue, 06 Sep 2022 13:09:46 +0000

>>> Why is this TRT, even if it does solve this particular problem?
>>
>> I don't claim it's TRT, I was exploring that bug and wanted to 
>> double-check with Amin that I'm not on a wrong path.
>
> Well, you reverted the important part of commit 6b1ed2f, which Amin said 
> caused his problem.  So you are not on a wrong path wrt that...
>

???  I didn't revert anything, I only asked Amin to try a patch.

>>> Forgetting the other attributes is problematic, and would quite 
>>> certainly lead to much more serious problems.
>>
>> I don't know.  That's what that code had been doing during the last 
>> eight years or so, so it can't be completely wrong.
>
> It also caused bug#37473, which IMO is much more serious than what Amin 
> describes, and which I attempted to fix in commit 6b1ed2f with exactly 
> the part you now suggest to remove.
>

I don't suggest anything or want to remove anything, sorry if that was 
unclear in my previous post.  FWIW, I don't think I agree that bug#37473 
is much more serious than what Amin describes, but I'm not yet sure about 
that either.